import pytest

def pytest_addoption(parser):
    parser.addoption('--without-postgresql-tests', action='store_true',
                    help='disable tests requiring postgresql')

def pytest_runtest_setup(item):
    if 'postgresql' in item.keywords and item.config.option.without_postgresql_tests is True:
        pytest.skip('skipped (PostgreSQL are disabled on command line)')
